<template>
  <div></div>
</template>

<script>
import { tileLayer } from 'leaflet'

export default {
  name: 'leafletwmslayer',

  props: {
    identifier: {
      type: String,
      required: true
    },

    pane: {
      type: String,
    },
  },

  computed: {
    workspace: {
      get() {
        return this.$parent.workspace
      }
    },

    layer: {
      get() {
        return this.$store.getters.workspaceLayers(this.workspace)[this.identifier]
      }
    },

    url: {
      get() {
        return this.$store.getters.serviceById(this.layer.service).url
      }
    },

    layerStatus: {
      get() {
        return this.layer.status
      }
    },
  },

  watch: {
    layerStatus(after) {
      return after
    },
  },

  methods: {
    create() {
      this.layerObject = tileLayer.wms(this.url, this.getOptions())
    },

    getOptions() {
      return {
        pane: this.pane
      }
    },
  },

  mounted() {
    this.create()
  },
}
</script>
